Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions | Data Fields
Lucene::PhrasePositions Class Reference

Position of a term in a document that takes into account the term offset within the phrase. More...

`#include <PhrasePositions.h>`

Inheritance diagram for Lucene::PhrasePositions:

## Public Member Functions

| PhrasePositions (const TermPositionsPtr &t, int32_t o)
virtual | ~PhrasePositions ()
virtual String | getClassName ()
boost::shared_ptr< PhrasePositions > | shared_from_this ()
bool | next ()
bool | skipTo (int32_t target)
void | firstPosition ()
bool | nextPosition ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()

## Data Fields

int32_t | doc
int32_t | position
int32_t | count
int32_t | offset
TermPositionsPtr | tp
PhrasePositionsPtr | _next
bool | repeats

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Position of a term in a document that takes into account the term offset within the phrase.

## Constructor & Destructor Documentation

Lucene::PhrasePositions::PhrasePositions | ( | const TermPositionsPtr & | t,
|  | int32_t | o
| ) |  |

virtual Lucene::PhrasePositions::~PhrasePositions | ( |  | ) |

virtual

## Member Function Documentation

static String Lucene::PhrasePositions::_getClassName | ( |  | ) |

inline static

void Lucene::PhrasePositions::firstPosition | ( |  | ) |

virtual String Lucene::PhrasePositions::getClassName | ( |  | ) |

inline virtual

bool Lucene::PhrasePositions::next | ( |  | ) |

bool Lucene::PhrasePositions::nextPosition | ( |  | ) |

boost::shared_ptr< PhrasePositions > Lucene::PhrasePositions::shared_from_this | ( |  | ) |

inline

bool Lucene::PhrasePositions::skipTo | ( | int32_t | target | ) |

## Field Documentation

PhrasePositionsPtr Lucene::PhrasePositions::_next

int32_t Lucene::PhrasePositions::count

int32_t Lucene::PhrasePositions::doc

int32_t Lucene::PhrasePositions::offset

int32_t Lucene::PhrasePositions::position

bool Lucene::PhrasePositions::repeats

TermPositionsPtr Lucene::PhrasePositions::tp

The documentation for this class was generated from the following file:

- PhrasePositions.h

clucene.sourceforge.net